---

kind: pipeline
type: docker
name: default

steps:
  - name: build
    image: klakegg/hugo:ext-alpine-ci

  - name: deploy
    image: appleboy/drone-scp
    settings:
      host: dragon.luj0ga.de
      port: 4222
      username: www-data
      key:
        from_secret: ssh_key
      passphrase:
        from_secret: ssh_passphrase
      target: /var/www/www.luj0ga.de/
      source: public/*
      strip_components: 1
      rm: yes
    when:
      event:
        - push
      branch:
        - main
